# v4l2_enc_slice_length_param_ Struct Reference
[V4L2 Video Encoder]

Holds encoder slice length parameters. More...

`#include <v4l2_nv_extensions.h>`

List of all members.

## Public Attributes

enum v4l2_enc_slice_length_type | slice_length_type
| Type in which the slice length is specified, one of type v4l2_enc_slice_length_type.
__u32 | slice_length
| Size of the slice in either number of bytes or number of macro blocks.

## Detailed Description

Holds encoder slice length parameters.

To be used with V4L2_CID_MPEG_VIDEOENC_SLICE_LENGTH_PARAM ioctl.

Definition at line 984 of file v4l2_nv_extensions.h.

## Member Data Documentation

__u32 v4l2_enc_slice_length_param_::slice_length

Size of the slice in either number of bytes or number of macro blocks.

Definition at line 989 of file v4l2_nv_extensions.h.

enum v4l2_enc_slice_length_type v4l2_enc_slice_length_param_::slice_length_type

Type in which the slice length is specified, one of type v4l2_enc_slice_length_type.

Definition at line 987 of file v4l2_nv_extensions.h.

The documentation for this struct was generated from the following file:

- include/v4l2_nv_extensions.h